@import url('https://fonts.googleapis.com/css2?family=Roboto+Mono:wght@600&family=Ubuntu+Mono:wght@700&display=swap');
/*
font-family: 'Roboto Mono',
monospace;
font-family: 'Ubuntu Mono',
monospace;
#F7F3F5
*/
:root {
    --bg-color: #F6F6F5;
    --text-color: #231566;
    --highlight-color:#EF9825;
    --circle1-color:#6D4AB5;
    --circle2-color:  #A3E9FA;
    --circle3-color: #9E4793;
    --circle4-color:#6AAFCA;
}
/*scrollbar track width*/
::-webkit-scrollbar {
    width: 15px;
}
/* Track */
::-webkit-scrollbar-track {
    box-shadow: inset 0 0 5px grey;
    border-radius: 10px;
}
/* Handle */
::-webkit-scrollbar-thumb {
    background: var(--circle4-color);
    border-radius: 10px;
}

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
html{
    font-family: 'Roboto Mono';
    background-color: var(--bg-color) ;
    height: 100vh;
    max-width: 100vw;
    overflow-x: hidden;
}
/* navigation section */
#blur1 {
    position: absolute;
    height: 12rem;
    width: 12rem;
    border-radius: 50%;
    background-color: var(--circle1-color);
    filter: blur(120px);
    top: 15%;
    left: -5%;
    z-index: -9;
    pointer-events: none;
}
#blur2 {
    position: absolute;
    height: 8rem;
    width: 8rem;
    border-radius: 50%;
    background-color: var(--circle2-color);
    filter: blur(70px);
    top: 0%;
    right: 10%;
    z-index: -9;
    pointer-events: none;
}
#blur3 {
    position: absolute;
    height: 12rem;
    width: 12rem;
    border-radius: 50%;
    background-color: var(--circle3-color);
    filter: blur(80px);
    bottom: 0%;
    right: -2%;
    z-index: -9;
    pointer-events: none;
}
.navigation{
    width: 100%;
    background-color: transparent;
    padding: 0.5rem 1rem;
}
.navigation .nav-brand{
    font-size: 1.5rem;
    color: var(--text-color);
    margin: 2vh 0;
}
.navigation .non-bullet{
    list-style: none;
}
.navigation .nav-pills{
    text-align: right;
    margin-block-start: 0em;
    margin-block-end: 0em;
    padding-inline-start: 0px;
}
.navigation .nav-inline-link{
    display: inline-block;
    margin:  0 1rem;
}
.navigation .nav-inline-link .link{
    text-decoration: none;
    font-size: 1.2rem;
    color: var(--text-color);
    padding: 0.5rem 0;
}
.navigation .active-link {
    padding: 0.5rem 0;
    text-decoration: none;
    font-size: 1.2rem;
    font-weight: 900;
    position: relative;
    color: var(--highlight-color);
}
.navigation .active-link::after {
    content: "";
    height: 3px;
    width: 100%;
    background-color: var(--highlight-color);
    position: absolute;
    bottom: 0;
    left: 0;
    border-radius: 2px;
    animation: appearance 0.8s;
}
@keyframes appearance {
    0% {
        width: 0%;
    }

    100% {
        width: 100%;
    }
}
/* main container */
.container {
    max-width: 1024px;
    margin: auto;
    margin-top: 2vh;
}
/* intro section */
.hero-container{
    display: flex;
    flex-direction: row;
    align-items: center;

}
.hero-container .hero-img{
    flex: 1;
    animation: bounce 2s infinite;
}
@keyframes bounce {
    0% {
        transform: translate(0px, 0px);
    }

    50% {
        transform: translate(0px, -20px);
    }

    100% {
        transform: translate(0px, 0px);
    }
}
.i-container{
    flex: 1;
    text-align: center;
    position: relative; /* for circle2 */
}
.i-container .highlight{
    font-size: 2rem;
    font-weight: bold;
    color: var(--highlight-color);
    font-family: 'Roboto Mono', monospace;
}
.effect {
    font-size: 1.5rem;
    width: 0ch;
    margin: auto;
    margin-top: 2vh;
    white-space: nowrap;
    color: var(--text-color);
    border-right: 2px solid var(--highlight-color);
    overflow: hidden;
    animation: typing 6s infinite alternate;
}
@keyframes typing {
    0% {
        width: 0ch;
    }

    50% {
        width: 26ch;
    }
}
/* technologies section */
.tech-container{
 text-align: center;
 margin-top: 8vh;
}
.tech-container .highlight{
    font-size: 1.5rem;
    font-weight: bold;
    color: var(--highlight-color);
}
.tech-container .inline-list{
    list-style: none;
    margin-block-start: 0em;
    margin-block-end: 0em;
    padding-inline-start: 0px;
}
.tech-container .inline-list .tech-button{
    display: inline-block;
    border: 2px solid var(--highlight-color);
    padding: 0.5rem 1rem;
    border-radius: 0.5rem;
    margin: 0.5rem;
    color: var(--text-color);
    cursor: pointer;
}
/* project section */
.section{
    margin-top: 5vh;
    text-align: center;
    padding: 1rem 0;
}
.section .highlight {
    font-size: 1.5rem;
    font-weight: bold;
    color: var(--highlight-color);
    max-width: 50%;
    margin: auto;
    margin-block-start: 0em;
    margin-block-end: 0em;
}
.section .decription{
    text-align: justify;
    word-spacing: -0.2rem;
    max-width: 50%;
    margin: 3vh auto;
}
.link{
    text-decoration: none;
    padding: 0.5rem 1rem;
    display: inline-block;
}
.api-link{
    text-decoration: none;
}
.off-container{
    padding-top: 1rem;
    padding-bottom: 2rem;
    background-color: rgba(255,255,255,0.26);
    border: 3px solid rgba(252,166,31,0.45);
    box-shadow: rgba(252, 166, 31, 0.45) 0px 0px 0px 3px;
}
.primary-link {
    margin-right: 1rem;
    border-radius: 0.5rem;
    background-color: var(--highlight-color);
    border: 2px solid var(--border-color);
    color: white;
    box-shadow: rgba(60, 64, 67, 0.3) 0px 1px 2px 0px, rgba(60, 64, 67, 0.15) 0px 1px 3px 1px;
}
.secondary-link {
    color: var(--highlight-color);
    border: none;
    border-radius: 0.5rem;
    box-shadow: rgba(252, 166, 31, 0.45) 0px 0px 0px 3px;
}
/* footer section */
.footer {
    margin-top: 5vh;
    position: relative;
    padding: 2rem 1rem;
    width: 100vw;
    text-align: center;
}
.footer .footer-non-list{
    list-style: none;
    margin-block-start: 0em;
    margin-block-end: 0em;
    padding-inline-start: 0px;
}
.footer .highlight{
    font-size: 1.5rem;
    font-weight: bold;
    color: var(--highlight-color);
    margin-bottom: 3vh;
}
.footer  .footer-inline-link{
    display: inline-block;
    text-decoration: none;
    font-size: 1.2rem;
    transition: transform 0.2s ease-in-out;
}
.footer .footer-inline-link .link{
    color: var(--text-color);
}
.footer .footer-inline-link .link:visited {
    color: var(--text-color);
}
.footer  .footer-inline-link:hover {
    transform: translateY(-5px);
}
/* project page */
.heading{
    text-align: center;
    margin-top: 2vh;
}
.heading .highlight{
    font-size: 2rem;
    font-weight: bold;
    color: var(--highlight-color);
    margin-bottom: 5vh;
}
/* neog project */
.grid-container {
    margin-top: 1rem;
    margin-bottom: 3rem;
    display: grid;
    grid-template-columns: repeat(auto-fill,minmax(400px,1fr));
    grid-gap: 30px;
}
.grid-container .highlight{
    font-size: 1.2rem;
    color: var(--highlight-color);
}
.box {
    font-size: 1.2rem;
    padding: 2rem 2rem;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
.box .neo-links{
 display: flex;
 align-items: center;
}
.box p{
    text-align: justify;
    word-spacing: -0.2rem;
    margin-bottom: 2vh;
    word-wrap: break-word;
}

/* project card section  */
.cards{
    max-width: 90%;
    margin: auto;
    margin-top: 3vh;
}
.card-container {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(400px, 1fr));
    grid-gap: 2rem;
}
.card{
    cursor: pointer;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    border-radius: 0.5rem;
    padding: 1rem 1rem;
    box-shadow: rgba(60, 64, 67, 0.3) 0px 1px 2px 0px, rgba(60, 64, 67, 0.15) 0px 2px 6px 2px;
}
.card p{
    text-align: justify;
    word-spacing: -4px;
}
.card-container .non-bullet {
    list-style: none;
}
.card-container .inline-list{
    display: inline-block;
}
.card-container .highlight{
    color: var(--highlight-color);
}
.card .secondary-link{
    text-align: center;
    margin-top: 2vh;
    box-shadow: rgba(9, 30, 66, 0.25) 0px 1px 1px, rgba(9, 30, 66, 0.13) 0px 0px 1px 1px;
}

@media screen and (max-width:1024px) {
    .container {
        padding: 0 1rem;
    }
    .hero-container .hero-img {
        width: 300px;
    }
    .cards{
        max-width: 70%;
    }
   
}
@media only screen and (max-width: 876px) {
  
   .hero-container .hero-img {
       display: none;
   }
   
   .card-container {
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
   }
}
@media screen and (max-width: 597px) {
    .navigation .nav-inline-link{
        margin: 0 0.7rem;
    }
    #blur1{
        height: 10rem;
        width: 10rem;
        top: 10%;
        filter: blur(100px);
    }
    #blur2 {
        display: none;
    }
    .tech-container .inline-list .tech-button {
        padding: 0.4rem 0.8rem;
    }
    .section .decription {
     max-width: 80%;
    }
    .section .highlight {
         font-size: 1.2rem;
         max-width: 80%;
    }
    #blur3{
        right: -15%;
    }
    .grid-container .highlight{
        font-size: 1rem;
    }
    .primary-link{
        margin-right: 0.5rem;;
    }
   
    .cards {
        max-width: 90%;
    }
    .card-container {
        grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
    }
    #circle3{
        display: none;
    }
                
}
@media screen and (max-width: 440px) {
    .navigation .nav-inline-link {
        font-size: 0.8rem;
    }
    .i-container .highlight{
        font-size: 1.5rem;
    }
    .i-container .effect{
        font-size: 1rem;
    }
    .tech-container .inline-list .tech-button {
        padding: 0.3rem 0.5rem;
    }
    .footer .footer-inline-link{
        font-size: 1rem;
    }
    .cards {
        width: 100%;
    }
}
@media screen and (max-width: 280px) {
    .navigation .nav-inline-link .link, .navigation .nav-inline-link .active-link{
        font-size: 0.6rem;
    }
    #blur1 {
        height: 8rem;
        width: 8rem;
        top: 5%;
        filter: blur(80px);
     }
     #blur3{
        display: none;
     }
}